package de.heinerkuecker.asm_improved;

import de.heinerkuecker.asm_improved.type.AsmType;
import de.heinerkuecker.asm_improved.type.generics.param.AsmAbstractTypeParam;
import de.heinerkuecker.asm_improved.util.ImmutableArray;

/**
 * TODO
 * 
 * @author Heiner K&uuml;cker
 */
final class MethodTypeparamsAndReturnAndParamsTuple
{
	public final ImmutableArray<? extends AsmAbstractTypeParam> typeParams;

	public final AsmType returnType;
	
	public final ImmutableArray<? extends AsmType> paramTypes;

	/**
	 * @param returnType
	 * @param paramTypes
	 */
	MethodTypeparamsAndReturnAndParamsTuple(
    		final ImmutableArray<? extends AsmAbstractTypeParam> typeParams ,
    		final AsmType returnType ,
            final ImmutableArray<? extends AsmType> paramTypes )
    {
    	this.typeParams = typeParams;
        this.returnType = returnType;
        this.paramTypes = paramTypes;
    }

}