package de.heinerkuecker.asm_improved.util;

import java.util.ArrayList;
import java.util.List;

/**
 * TODO
 * 
 * @author Heiner K&uuml;cker
 */
public final class ListUtil
{

	/**
	 * TODO
	 */
	private ListUtil()
	{
		super();
	}

	/**
	 * 
	 * @param <T> Element type
	 * @param list1 List to join
	 * @param list2 List to join
	 * @return joined Lists
	 */
	public static <T> List<? extends T> joinNullsafeCopyOnDemandToArraylist(
			final List<? extends T> list1 ,
			final List<? extends T> list2 )
	{
		if ( list1 == null && list2 == null )
		{
			return null;
		}
		else if ( list1 == null )
		{
			return list2;
		}
		else if ( list2 == null )
		{
			return list1;
		}

		final ArrayList<T> result = new ArrayList<>( list1.size() + list2.size() );

		result.addAll( list1 );
		result.addAll( list2 );

		return result;
	}
	
}
