package de.heinerkuecker.asm_improved.test.annotation_def;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import de.heinerkuecker.asm_improved.test.annotation_use.AnnotationOrgJunitTestTest;

/**
 * JUnit4-Testsuite fr die ASM-Improved-Lib.
 * 
 * @author Heiner K&uuml;cker
 */
@RunWith(Suite.class)
@SuiteClasses(
{
	AnnotationTest.class ,
	
	AnnotationOrgJunitTestTest.class ,
	
	AnnotationDefDeepNestedWithDefaultTest.class ,

	AnnotationWithAnnotationArrayMethodTest.class ,
	AnnotationWithAnnotationArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithAnnotationArrayMethodWithDefaultTest.class ,
	AnnotationWithAnnotationMethodTest.class ,
	AnnotationWithAnnotationMethodWithDefaultTest.class ,

	AnnotationWithAnnotationWithParamMethodWithDefaultTest.class ,

	AnnotationWithClassBoundedArrayMethodTest.class ,
	AnnotationWithClassBoundedArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithClassBoundedArrayMethodWithDefaultTest.class ,
	AnnotationWithClassBoundedMethodTest.class ,
	AnnotationWithClassBoundedMethodWithDefaultTest.class ,

	AnnotationWithClassRawArrayMethodTest.class ,
	AnnotationWithClassRawArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithClassRawArrayMethodWithDefaultTest.class ,
	AnnotationWithClassRawMethodTest.class ,
	AnnotationWithClassRawMethodWithDefaultTest.class ,

	AnnotationWithClassUnboundedArrayMethodTest.class ,
	AnnotationWithClassUnboundedArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithClassUnboundedArrayMethodWithDefaultTest.class ,
	AnnotationWithClassUnboundedMethodTest.class ,
	AnnotationWithClassUnboundedMethodWithDefaultTest.class ,


	AnnotationWithEnumArrayMethodTest.class ,
	AnnotationWithEnumArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithEnumArrayMethodWithDefaultTest.class ,
	AnnotationWithEnumMethodTest.class ,
	AnnotationWithEnumMethodWithDefaultTest.class ,

	AnnotationWithBooleanArrayMethodTest.class ,
	AnnotationWithBooleanArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithBooleanArrayMethodWithDefaultTest.class ,
	AnnotationWithBooleanMethodTest.class ,
	AnnotationWithBooleanMethodWithDefaultTest.class ,

	AnnotationWithByteArrayMethodTest.class ,
	AnnotationWithByteArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithByteArrayMethodWithDefaultTest.class ,
	AnnotationWithByteMethodTest.class ,
	AnnotationWithByteMethodWithDefaultTest.class ,

	AnnotationWithCharacterArrayMethodTest.class ,
	AnnotationWithCharacterArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithCharacterArrayMethodWithDefaultTest.class ,
	AnnotationWithCharacterMethodTest.class ,
	AnnotationWithCharacterMethodWithDefaultTest.class ,

	AnnotationWithShortArrayMethodTest.class ,
	AnnotationWithShortArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithShortArrayMethodWithDefaultTest.class ,
	AnnotationWithShortMethodTest.class ,
	AnnotationWithShortMethodWithDefaultTest.class ,

	AnnotationWithIntArrayMethodTest.class ,
	AnnotationWithIntArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithIntArrayMethodWithDefaultTest.class ,
	AnnotationWithIntMethodTest.class ,
	AnnotationWithIntMethodWithDefaultTest.class ,

	AnnotationWithLongArrayMethodTest.class ,
	AnnotationWithLongArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithLongArrayMethodWithDefaultTest.class ,
	AnnotationWithLongMethodTest.class ,
	AnnotationWithLongMethodWithDefaultTest.class ,

	AnnotationWithStringArrayMethodTest.class ,
	AnnotationWithStringArrayMethodTest2.class ,
	AnnotationWithStringArrayMethodWithDefaultEmptyArrayTest.class ,
	AnnotationWithStringArrayMethodWithDefaultEmptyArrayTest2.class ,
	AnnotationWithStringArrayMethodWithDefaultTest.class ,
	AnnotationWithStringArrayMethodWithDefaultTest2.class ,
	AnnotationWithStringMethodTest.class ,
	AnnotationWithStringMethodWithDefaultTest.class ,
}
)
public class AllAsmAnnotationDefTests
{
}
