package de.heinerkuecker.asm_improved.test_data.annotation_use;

import de.heinerkuecker.asm_improved.test_data.annotation_def.NotNull;

/**
 * Java file to parse.
 */
public class TestTypeAnnotationOnFieldArray0
{
	/**
	 * Falsch: Durch die Annotation vor dem Array-Typ wird der Array-Typ insgesamt, nicht der Element-Typ des Arrays annotiert.
	 * Richtig: Durch die Annotation vor dem Array-Typ wird der Element-Typ des Arrays, nicht der Array-Typ insgesamt annotiert.
	 */
	@NotNull
	String[] strArr0;

	/**
	 * Durch die Array-Klammern nach dem Namen wird scheinbar nur der Element-Typ des Arrays annotiert, nicht der der Array-Typ insgesamt.
	 */
	@NotNull
	String strArr1[];
}
