package de.heinerkuecker.asm_improved.type;

import org.junit.Assert;
import org.junit.Test;

import de.heinerkuecker.asm_improved.type.AsmTypePath.ARRAY_ELEMENT;

/**
 * JUnit4 testcase for {@link de.heinerkuecker.asm_improved.type.AsmTypePath}.
 * 
 * @author Heiner K&uuml;cker
 */
public class AsmTypePathTest
{

	/**
	 * Test method for {@link de.heinerkuecker.asm_improved.type.AsmTypePath#cloneAdd(de.heinerkuecker.asm_improved.type.AsmTypePath)}.
	 */
	@Test
	public void testCloneAdd()
	{
		final AsmTypePath.ARRAY_ELEMENT arrElem0 =
				new AsmTypePath.ARRAY_ELEMENT(
						null );

		final AsmTypePath.ARRAY_ELEMENT arrElem1 =
				new AsmTypePath.ARRAY_ELEMENT(
						null );

		final AsmTypePath.ARRAY_ELEMENT arrElem2 =
				(ARRAY_ELEMENT) arrElem0.cloneAdd(
						arrElem1 );

		Assert.assertEquals(
				//expected
				"[[" ,
				//actual
				arrElem2.toString() );

		final AsmTypePath.ARRAY_ELEMENT arrElem3 =
				(ARRAY_ELEMENT) arrElem2.cloneAdd(
						new AsmTypePath.ARRAY_ELEMENT(
								null ) );

		Assert.assertEquals(
				//expected
				"[[[" ,
				//actual
				arrElem3.toString() );

		final AsmTypePath.ARRAY_ELEMENT arrElem4 =
				(ARRAY_ELEMENT) arrElem3.cloneAdd(
						new AsmTypePath.ARRAY_ELEMENT(
								null ) );

		Assert.assertEquals(
				//expected
				"[[[[" ,
				//actual
				arrElem4.toString() );

		//Assert.fail( "Not yet implemented" );
	}

}
