package de.heinerkuecker.asm_improved.asm_dom;

/**
 * Enum Annotationswert.
 * 
 * @author Heiner K&uuml;cker
 */
public class AsmDomAnnotationEnumValue
extends AsmDomAnnotationValue
{
	public final String desc;

	public final String value;

	/**
	 * Konstruktor.
	 * 
	 * @param name
	 * @param desc
	 * @param value
	 */
	public AsmDomAnnotationEnumValue(
			final String name ,
			final String desc ,
			final String value )
	{
		super( name );
		this.desc = desc;
		this.value = value;
	}

	/**
	 * {@inheritDoc}
	 */
	@Override
	public String toString(
			final String indent )
	{
		return indent + this.getClass().getSimpleName() + this.name + " " + this.desc;
	}

}
