package de.heinerkuecker.asm_improved.asm_dom;

/**
 * Klasse zum Vermerken der beim Durchlaufen
 * der Methode
 * {@link ClassVisitor#visitInnerClass}
 * aufgetretenen Informationen.
 *  
 * @author Heiner K&uuml;cker
 */
public final class AsmDomInnerClass
{
	public final String name;
	public final String outerName; 
	public final String innerName;
	public final int access;

	/**
	 * Konstruktor.
	 * 
	 * @param name
	 * @param outerName
	 * @param innerName
	 * @param access
	 */
	AsmDomInnerClass(
			final String name ,
			final String outerName ,
			final String innerName ,
			final int access )
	{
		this.name = name;
		this.outerName = outerName;
		this.innerName = innerName;
		this.access = access;
	}

}
