package de.heinerkuecker.asm_improved.asm_dom;

/**
 * Klasse zum Vermerken der beim Durchlaufen
 * der Methode
 * {@link ClassVisitor#visitOuterClass}
 * aufgetretenen Informationen.
 *  
 * @author Heiner K&uuml;cker
 */
public final class AsmDomOuterClass
{
	public final String owner;
	public final String name;
	public final String desc;

	/**
	 * Konstruktor.
	 * 
	 * @param owner
	 * @param name
	 * @param desc
	 */
	AsmDomOuterClass(
			final String owner ,
			final String name ,
			final String desc )
	{
		this.owner = owner;
		this.name = name;
		this.desc = desc;
	}

}
