package de.heinerkuecker.asm_improved.type;

import de.heinerkuecker.asm_improved.annotation_use.AsmAnnotationUse;
import de.heinerkuecker.asm_improved.type.generics.var.AsmTypevar;
import de.heinerkuecker.asm_improved.type.member.AsmInnerClassType;
import de.heinerkuecker.asm_improved.util.ImmutableArray;

/**
 * Gemeinsames Interface fr
 * {@link AsmClassType} und
 * {@link AsmInnerClassType} und
 * {@link AsmTypevar}.
 * 
 * @author Heiner K&uuml;cker
 */
public abstract class AsmTopLevelOrInnerClassTypeOrTypevar
extends AsmType
{
	/**
	 * Konstruktor.
	 * 
	 * @param typeAnnotations
	 */
	protected AsmTopLevelOrInnerClassTypeOrTypevar(
			final ImmutableArray<? extends AsmAnnotationUse> typeAnnotations )
	{
		super( typeAnnotations );
	}
}
