package de.heinerkuecker.asm_improved.util;

/**
 * Singleton-Instanzen fr leere Arrays zum Sparen von Speicher.
 * 
 * @author Heiner K&uuml;cker
 */
public final class EmptyArrays
{

	/**
	 * Konstruktor private,
	 * Instanziieren verboten,
	 * Util-Klasse.
	 */
	private EmptyArrays()
	{
		super();
	}

	public static final boolean[] BOOLEAN = new boolean[ 0 ];
	
	public static final byte[] BYTE = new byte[ 0 ];
	
	public static final short[] SHORT = new short[ 0 ];
	
	public static final int[] INT = new int[ 0 ];
	
	public static final long[] LONG = new long[ 0 ];
	
	public static final float[] FLOAT = new float[ 0 ];
	
	public static final double[] DOUBLE = new double[ 0 ];
	
	public static final char[] CHAR = new char[ 0 ];
	
	public static final Object[] OBJECT = new Object[ 0 ];
	
}
