package de.heinerkuecker.asm_improved;

/**
 * Pfad- und Dateinamen-Strings der JUnit-Jars unter der aktuellen Eclipse-Installation.
 * <p>
 * Bitte nach dem Herunterladen lokal anpassen
 * 
 * @author Heiner K&uuml;cker
 */
public final class JUnitEclipseFileLocations
{
	/**
	 * Pfad-String zur Datei junit.jar unter der aktuellen Eclipse-Installation.
	 */
	public static final String JUNIT_JAR_PATH_AND_FILENAME_STR =
			"C:\\Program Files\\eclipse-java-neon-4-6\\plugins\\org.junit_4.12.0.v201504281640\\junit.jar";
			//"C:\\Users\\heku\\ide\\plugins\\org.junit_4.12.0.v201504281640\\junit.jar"
			;

	/**
	 * Pfad-String zur Datei *hamcrest.core*.jar unter der aktuellen Eclipse-Installation.
	 */
	public static final String HAMCREST_JAR_PATH_AND_FILENAME_STR =
			"C:\\Program Files\\eclipse-java-neon-4-6\\plugins\\org.hamcrest.core_1.3.0.v201303031735.jar"
			//"C:\\Users\\heku\\ide\\plugins\\org.hamcrest.core_1.3.0.v201303031735.jar"
			;
}
