package de.heinerkuecker.asm_improved.test.inner_class.with_typeparams.field;

/**
 * Outer class with type parameter.
 * 
 * @param <T> type parameter
 * @author Heiner K&uuml;cker
 */
public class InnerClassWithTypeparamFieldUsing1<T>
{
	/**
	 * Inner class (non static) with type parameter.
	 * 
	 * @param <T> type parameter bewusst mit dem selben Namen wie der Type-Parameter der usseren Klasse (hiding) (Name gilt nur im Kontext einer Klasse)
	 */
	// hier wird der ussere Typ-Parameter T1 absichtlich gehided, sollte nie gemacht werden und gehrt durch den Compiler verboten
	public class Inner<T>
	{
		
	}

	/**
	 * Feld mit einer Type-Variablen als Type-Argument einem konkreten Typ als Type-Argument verteilt ber ussere und innere Klasse.
	 */
	public InnerClassWithTypeparamFieldUsing1<T>.Inner<Integer> fieldTypevarIntgr;

	/**
	 * Feld mit zwei konkreten Typen als Type-Argumenten verteilt ber ussere und innere Klasse.
	 */
	public InnerClassWithTypeparamFieldUsing1<String>.Inner<Integer> fieldStrIntgr;

}
