package de.heinerkuecker.asm_improved.test_data;

/**
 * Klasse mit einer Konstruktor mit zwei generischen Exceptions.
 */
public class ConstructorWithGenericException2
{
    /**
     * Konstruktor mit zwei generischen Exceptions.
     * 
     * @param <T0> Exception-Typ-Parameter
     * @param <T1> Exception-Typ-Parameter
     * @throws T0 generische Exception
     * @throws T1 generische Exception
     */
    <T0 extends Throwable, T1 extends Throwable> ConstructorWithGenericException2()
    throws T0, T1
    {
        
    }
}
