package de.heinerkuecker.asm_improved.test_data;

/**
 * Klasse mit einer Methode mit einem Typ-Parameter,
 * welcher wiederum als Typ-Variable, welche als
 * Bound fr eine Java-Klasse dient.<br/><br/>
 * Beispiel aus
 * <a href="http://download.forge.objectweb.org/asm/asm4-guide.pdf">ASM 4 Guide</a>,
 * Abschnitt 4.1.
 */
public class MethodWithTypeParamAsTypevarOfClass
{
    /**
     * Methode.
     * 
     * @param n unused
     * @return
     */
    static <T> Class<? extends T> m(
            int n )
    {
        return null;
    }
}
