package de.heinerkuecker.asm_improved.test_data.annotation_def;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Not-Null-Annotation.
 * 
 * @author Heiner K&uuml;cker
 */
@Retention( RetentionPolicy.RUNTIME )
@Target( {
	//ElementType.FIELD ,
	//ElementType.METHOD ,
	//ElementType.PARAMETER ,
	//ElementType.LOCAL_VARIABLE ,
	ElementType.TYPE_USE } )
@Inherited
@Documented
public @interface NotNull
{
	// no implementation
}
