package de.heinerkuecker.asm_improved.test_data.annotation_def;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Test-Annotation.
 * 
 * @author Heiner K&uuml;cker
 */
@Retention( RetentionPolicy.RUNTIME )
@Target( {
	ElementType.PARAMETER
} )
@Inherited
@Documented
public @interface ParamAnnotationWithStringValue
{

	/**
	 * @return the value
	 */
	String value();

}
