package de.heinerkuecker.asm_improved.test_data.annotation_use;

import java.io.Serializable;
import java.util.List;

import de.heinerkuecker.asm_improved.test_data.annotation_def.TypeAnno0;
import de.heinerkuecker.asm_improved.test_data.annotation_def.TypeAnno1;
import de.heinerkuecker.asm_improved.test_data.annotation_def.TypeAnno2;

/**
 * Java file to parse.
 */
public class TestTypeAnnotationOnMethodTypeparamWildcard<T_EXT extends @TypeAnno1 Number , T_EXT_INTERSECTION  extends @TypeAnno1 Number & @TypeAnno2 Serializable>
{

	List< @TypeAnno0 ?> unboundedWildcardList;

	List< @TypeAnno0 ? extends @TypeAnno1 Number> extendsBoundedWildcardList;

	// TODO impossible: List< @TypeAnno0 ? extends @TypeAnno1 Number & @TypeAnno2 Serializable> extendsIntersectionBoundedWildcardList;
	// TODO impossible: List< @TypeAnno0 ? extends @TypeAnno1 Number & @TypeAnno2 Serializable> extendsIntersectionBoundedWildcardList;

	List< @TypeAnno0 ? super @TypeAnno1 Number> superBoundedWildcardList;

}
