package de.heinerkuecker.asm_improved.type_param;

import org.junit.runner.RunWith;
import org.junit.runners.Suite;
import org.junit.runners.Suite.SuiteClasses;

import de.heinerkuecker.asm_improved.type_params.ClassWithTypeparamsBoundedTest;
import de.heinerkuecker.asm_improved.type_params.ClassWithTypeparamsBoundedToTypevarTest;
import de.heinerkuecker.asm_improved.type_params.ClassWithTypeparamsIntersectionBoundedTest;
import de.heinerkuecker.asm_improved.type_params.ClassWithTypeparamsUnboundedTest;
import de.heinerkuecker.asm_improved.type_params.EnumMapTest;

/**
 * JUnit4-Test-Suite.
 * 
 * @author Heiner K&uuml;cker
 */
@RunWith( Suite.class )
@SuiteClasses(
{
	ClassWithTypeparamIntersectionBoundedTest.class ,
	ClassWithTypeparamIntersectionBoundedJavaLangObjectAndInterfacesTest.class ,
	ClassWithTypeparamIntersectionBoundedJavaUtilAbstractlistAndInterfacesTest.class ,
	ClassWithTypeparamBoundedTest.class ,
	ClassWithTypeparamUnboundedTest.class ,
	ClassWithTypeparamsBoundedTest.class,
	ClassWithTypeparamsBoundedToTypevarTest.class,
	ClassWithTypeparamsIntersectionBoundedTest.class,
	ClassWithTypeparamsUnboundedTest.class,
	EnumMapTest.class
} )
public class ClassWithTypeparamTestSuite
{
	// no implementation
}
